net.sourceforge.pmd

## Class SynchronizedReportListener

- java.lang.Object
- - net.sourceforge.pmd.SynchronizedReportListener

- All Implemented Interfaces:
    ReportListener

      public final class SynchronizedReportListener
      extends Object
      implements ReportListener

  Wraps a report listener in order to synchronize calls to it.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynchronizedReportListener(ReportListener listener)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `metricAdded(Metric metric)`
    `void` | `ruleViolationAdded(RuleViolation ruleViolation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynchronizedReportListener

          public SynchronizedReportListener(ReportListener listener)

  - ### Method Detail

    - #### ruleViolationAdded

          public void ruleViolationAdded(RuleViolation ruleViolation)

      Specified by:
        `ruleViolationAdded` in interface `ReportListener`

    - #### metricAdded

          public void metricAdded(Metric metric)

      Specified by:
        `metricAdded` in interface `ReportListener`

Copyright © 2002-2013 InfoEther. All Rights Reserved.